Table of Contents

Class: NNTPClient | Twisted-0.17.4/twisted/protocols/nntp.py
--- | ---

Base Classes |
--- | ---
basic.LineReceiver

Methods |
--- | ---

__init__ _stateArticle _stateBody _stateGroup _stateHead _stateInitial _stateList _statePassive _statePost | _statePosted connectionMade fetchArticle fetchBody fetchGroup fetchGroups fetchHead gotAllGroups gotArticle | gotBody gotGroup gotHead lineReceived postArticle postFailed postOk

| __init__

    __init__ ( self )

| _stateArticle

    _stateArticle ( self,  line )

| _stateBody

    _stateBody ( self,  line )

| _stateGroup

    _stateGroup ( self,  line )

Exceptions |
--- | ---
NNTPError( 'Invalid GROUP response: %s' % line )

| _stateHead

    _stateHead ( self,  line )

| _stateInitial

    _stateInitial ( self,  line )

Exceptions |
--- | ---
NNTPError( 'Empty server response' ) NNTPError( 'Server responded: %s' % line ) NNTPError('Invalid server response: %s' % l [ 0 ] )

| _stateList

    _stateList ( self,  line )

| _statePassive

    _statePassive ( self,  line )

| _statePost

    _statePost ( self,  line )

| _statePosted

    _statePosted ( self,  line )

| connectionMade

    connectionMade ( self )

| fetchArticle

    fetchArticle ( self,  index )

| fetchBody

    fetchBody ( self,  index )

| fetchGroup

    fetchGroup ( self,  group )

| fetchGroups

    fetchGroups ( self )

| fetchHead

    fetchHead ( self,  index )

| gotAllGroups

    gotAllGroups ( self,  groups )

Override for notification when fetchGroups() action is completed

| gotArticle

    gotArticle ( self,  info )

Override for notification when fetchArticle() action is completed

| gotBody

    gotBody ( self,  info )

Override for notification when fetchBody() action is completed

| gotGroup

    gotGroup ( self,  info )

Override for notification when fetchGroup() action is completed

| gotHead

    gotHead ( self,  info )

Override for notification when fetchHead() action is completed

| lineReceived

    lineReceived ( self,  line )

| postArticle

    postArticle ( self,  text )

| postFailed

    postFailed ( self,  error )

Override for notification when postArticle() action fails

| postOk

    postOk ( self )

Override for notification when postArticle() action is successful

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0